From d5152f7fd76d15d4f011e87e77dee0b9c5f0c408 Mon Sep 17 00:00:00 2001
From: Claude Heiland-Allen <claude@mathr.co.uk>
Date: Mon, 24 Sep 2018 17:17:39 +0100
Subject: [PATCH 27/39] previous workaround didn't work for older Pd, as the
 trimming was introduced later

---
 src/classes_gui.cxx | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/classes_gui.cxx b/src/classes_gui.cxx
index 5d002c89..53fca8dd 100644
--- a/src/classes_gui.cxx
+++ b/src/classes_gui.cxx
@@ -190,8 +190,12 @@ struct GridPrint : FObject { // partial redecl, désolé (classe supposée être
 	int y,x;
 	ostringstream text;
 	BFObject *printer;
+	bool untrim;
 	\constructor () {
 		selected=false; y=0; x=0; sy=16; sx=80; vis=false;
+		int major = 0, minor = 0, bugfix = 0;
+		sys_getversion(&major, &minor, &bugfix);
+		untrim = (major > 0) || ((major == 0) && (minor >= 49));
 		pd_anything(&pd_objectmaker,gensym("gf/print"),0,0);
 		printer = (BFObject *)pd_newest();
 		text << "...";
@@ -213,7 +217,7 @@ struct GridPrint : FObject { // partial redecl, désolé (classe supposée être
 			else if (strchr("[]\"$",s[i])) quoted << "\\" << (char)s[i];
 			else quoted << (char)s[i];
 		}
-		quoted << " "; // workaround for Pd commit 6dc985251f2bff3bd33ee1c5263afbc354bf7bcb
+		if (untrim) quoted << " "; // workaround for Pd commit 6dc985251f2bff3bd33ee1c5263afbc354bf7bcb
 		if (vis) sys_vgui("display_update %s .x%lx.c %d %d #000000 #ffffc8 %s %d \"%s\"\n", // Courier -12
 			rsym->s_name,(long)(intptr_t)glist_getcanvas(mom),text_xpix(bself,mom),text_ypix(bself,mom),
 			selected?"#0000ff":"#aaaaaa", sys_hostfontsize(glist_getfont(mom)),quoted.str().data());
-- 
2.19.1

